Page MenuHomePhabricator

Special:Templates : categories not displayed if the namespace "NS_CATEGORY" is in Cyrillic.
Closed, ResolvedPublic

Description

Author: hostspectr

Description:
My wiki works on Russian localization.
And if I specify in the template category, for example, thus "[[Категория:Глобальные шаблоны]]" (it was in Russian language), the page Special:Templates does not show what category defines this template.

For myself solved this problem as follows:
In the file extensions/SemanticForms/specials/SF_Templates.php on line ~71 is replaced by:
$cat_ns_name = $wgContLang->getNsText( NS_TEMPLATE );
on a:
$cat_ns_name = $wgContLang->getNsText( NS_CATEGORY );


Version: unspecified
Severity: normal

Details

Reference
bz67020

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz67020.
bzimport created this task.Jun 24 2014, 7:02 AM
Aklapper removed Yaron_Koren as the assignee of this task.Sep 2 2015, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 3:54 PM
Yaron_Koren renamed this task from Not displayed category determined by the template if the namespace "NS_CATEGORY" uses the Cyrillic. to Special:Templates : categories not displayed if the namespace "NS_CATEGORY" is in Cyrillic..Nov 19 2015, 6:42 PM
Yaron_Koren set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 19 2015, 6:42 PM

Change 294122 had a related patch set uploaded (by Seb35):
In Special:Templates, fix the associated category to the template

https://gerrit.wikimedia.org/r/294122

Seb35 triaged this task as Low priority.Jun 13 2016, 8:46 PM
Seb35 claimed this task.
Seb35 added a comment.EditedJun 13 2016, 8:49 PM

I investigated a bit and found this bug was introduced as an error the last time this line was changed: $wgContLang->getNsText(14) was changed to $wgContLang->getNsText(NS_TEMPLATE) in place of $wgContLang->getNsText(NS_CATEGORY). It always works with the English name "Category", but when the content language is another language and the localised name is used, the translation must be used.

Change 294122 merged by jenkins-bot:
In Special:Templates, fix the associated category to the template

https://gerrit.wikimedia.org/r/294122

Yaron_Koren closed this task as Resolved.Jun 14 2016, 1:33 AM
Yaron_Koren added a subscriber: Yaron_Koren.

Thank you! This problem is fixed now, I assume.